-- 18-12-2019 TRK
--
-- Udvidelse af kolonne - 12.0.0 - mss

patch_id f2_1200_191218

--******************************************************************************
-- Udvid kolonne                                                      18-12-2019
--******************************************************************************

-- Fjern FK reference fra ki_leg_x_subject.subject til csm_subjectcode.subjectcode

drop_foreign_key on ki_leg_x_subject csm_subjectcode;

-- Udvid csm_subjectcode.subjectcode fra varchar(60) -> varchar(200) not null

alter table csm_subjectcode
  alter column subjectcode varchar(200) not null;

-- Udvid ki_leg_x_subject.subject fra varchar(60) -> varchar(200) not null

alter table ki_leg_x_subject
  alter column subject varchar(200) not null;

-- Genopret FK reference fra ki_leg_x_subject.subject til csm_subjectcode.subjectcode

alter table ki_leg_x_subject
  add constraint FK_KI_LEG_X_SUBJECT_CSM_SUBJECTCODE foreign key (subject)
    references csm_subjectcode (subjectcode);

--******************************************************************************