-- 19-12-2019 TRK
--
-- SBSYS dokument type mapning - 12.0.1 - mss

patch_id esdhSBSIP_#1201_191219

--******************************************************************************
-- Dokument type mapning: SBSYS -> GeoEnviron                         19-12-2019
--******************************************************************************

-- Tabel: sbsys_document_subtype

if (select 'x' from sbsys_document_subtype where code = '01') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '01', 'Indgende', 'i', '0', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '02') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '02', 'Udgende', 'o', '0', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '03') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '03', 'Internt', 'n', '1', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '04') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '04', 'Mdereferat', 'n', '0', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '05') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '05', 'Notat', 'n', '0', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '06') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '06', 'Andet', 'n', '0', 'geokon';

if (select 'x' from sbsys_document_subtype where code = '07') is null
   insert into sbsys_document_subtype (code, name, csm_document_code, internal, created_by)
   select '07', 'Dagsordenpunkt', 'o', '0', 'geokon';

--******************************************************************************
-- Dokument type mapning: GeoEnviron -> SBSYS                         19-12-2019
--******************************************************************************

-- Tabel: sbsys_documenttype_mapping

-- BOM Ind
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'b' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'b', 0, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'b' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'b', 0, '03', '1', 'geokon';

-- DPost Ud
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'd' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'd', 0, '02', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'd' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'd', 0, '03', '1', 'geokon';

-- e-mail Ind
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'e' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'e', 0, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'e' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'e', 0, '03', '1', 'geokon';

-- Foto
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'f' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'f', 0, '06', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'f' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'f', 0, '03', '1', 'geokon';

-- Tegning
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'g' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'g', 0, '06', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'g' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'g', 0, '03', '1', 'geokon';

-- Ind
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'i' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'i', 0, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'i' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'i', 0, '03', '1', 'geokon';

-- Notat
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'n' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'n', 1, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'n' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'n', 1, '03', '1', 'geokon';

-- Ud
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'o' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'o', 0, '02', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'o' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'o', 0, '03', '1', 'geokon';

-- Tilknyt
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 't' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 't', 0, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 't' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 't', 0, '03', '1', 'geokon';

-- e-mail Ud
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'u' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'u', 0, '02', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'u' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'u', 0, '03', '1', 'geokon';

-- Web
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'w' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'w', 0, '06', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'w' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'w', 0, '03', '1', 'geokon';

-- DPost Ind
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'x' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'x', 0, '01', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'x' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'x', 0, '03', '1', 'geokon';

-- BOM Ud
if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'y' and internal = '0') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'y', 0, '02', '0', 'geokon';

if (select 'x' from sbsys_documenttype_mapping where csm_document_code = 'y' and internal = '1') is null
   insert into sbsys_documenttype_mapping (csm_document_code, sbsys_document_type, sbsys_document_subtype, internal, created_by)
   select 'y', 0, '03', '1', 'geokon';

--******************************************************************************