-- 16-03-2020 TRK 
--
patch_id app_gis_setting_1211_200316

--******************************************************************************
-- Tilretning af app_gis_setting_detail jf. ud-9190                   16-03-2020
--******************************************************************************

-- Slet 4 rkker

delete from app_gis_setting_detail
where item_type = 'deponi' and api_attribute_name in ('PrivatOwned', 'PublicOwned');

delete from app_gis_setting_detail
where item_type = 'depuni' and api_attribute_name in ('ReducedDemands', 'FurtherReducedDemands');

-- Tilfj 2 rkker

if (select 'x' from app_gis_setting_detail where item_type = 'deponi' and api_attribute_name = 'Ownership') is null
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('deponi', 'Ownership', 'Ejerforhold', '0', '0', 13, 'geokon');

if (select 'x' from app_gis_setting_detail where item_type = 'depuni' and api_attribute_name = 'MembraneDemands') is null
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('depuni', 'MembraneDemands', 'Krav, membransystem', '0', '0', 16, 'geokon');

--******************************************************************************