-- 27-04-2020 TRK
--
-- Nye kolonner i app_settings - 12.3.0 - mss

patch_id dpost_1230_200427

--******************************************************************************
-- Nye kolonner p dbox_outbox                                        27-04-2020
--******************************************************************************

if (select col_length('dbox_outbox','dff_id')) is null
   alter table dbox_outbox add dff_id varchar(50) null;

if (select col_length('dbox_outbox','dff_status_type')) is null
   alter table dbox_outbox add dff_status_type varchar(30) null;

if (select col_length('dbox_outbox','dff_status_text')) is null
   alter table dbox_outbox add dff_status_text varchar(500) null;

if (select col_length('dbox_outbox','dff_delivery_place')) is null
   alter table dbox_outbox add dff_delivery_place varchar(30) null;

--******************************************************************************
-- Nye kolonner i app_settings DPOST                                  29-04-2020
--******************************************************************************

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffServiceUrl', 'D', 10, 'Digital Post integration', 'Url til DFF web servicen', 'Url til DFF web servicen', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffServiceUsername') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffServiceUsername', 'D', 11, 'Digital Post integration', 'Username til DFF web servicen', 'Username til DFF web servicen', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffServicePassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffServicePassword', 'D', 12, 'Digital Post integration', 'Password til DFF web servicen', 'Password til DFF web servicen', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffLeverandoerIdentifikator') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffLeverandoerIdentifikator', 'D', 13, 'Digital Post integration', 'DFF Leverandr-id', 'DFF Leverandr-id. Ved oprettelse af en DffAfsendelse sttes Leverandr til dette id', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffStartDate') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffStartDate', 'D', 14, 'Digital Post integration', 'DFF startdato', 'DFF startdato p formen yyyy-MM-dd. Afsendelser fra fr denne dato bliver ikke sendt til DFF', null;


if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffAfsendelseSendInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffAfsendelseSendInterval', 'D', 60, 'Digital Post integration', 'Afsendelser til DFF - krselsinterval', 'Tidsinterval der bestemmer hvor ofte afsendelser skal sendes til DFF. Format: tt:mm (Default 00:05, dvs. hvert 5. minut)', '00:05';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'DffAfsendelseSendStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'DffAfsendelseSendStartTime', 'D', 61, 'Digital Post integration', 'Afsendelser til DFF - starttidspunkt', 'Starttidspunkt for frste afsendelse af afsendelser til DFF. Format: tt:mm (Default 00:00, dvs. med det samme)', '00:00';

--******************************************************************************