patch_id new_table_csr_pipe_function_07042021


if not exists (select 1 from sysobjects
    where id = object_id('csr_pipe_function') and type = 'U')
	
	CREATE TABLE [dbo].[csr_pipe_function](
	[function_type] [varchar](6) NOT NULL,
	[function_name] [varchar](40) NOT NULL,
	[created] [datetime] NULL  default current_timestamp,
	[created_by] [varchar](6) NULL default current_user,
	[changed] [datetime] NULL,
	[changed_by] [varchar](6) NULL,
	primary key (function_type)
);

grant update,insert,delete on csr_pipe_function to public;


drop_foreign_key on csr_pipes csr_pipe_function;
alter table csr_pipes
  add constraint fk_pipes_pipe_function foreign key (function_type)
  references csr_pipe_function (function_type);
  
  
if not exists (select * from csr_pipe_function)
begin
INSERT INTO csr_pipe_function (function_type , function_name)  VALUES ( 'vand', 'Vandledning')
INSERT INTO csr_pipe_function (function_type , function_name)  VALUES ( 'gas', 'Gasledning')
INSERT INTO csr_pipe_function (function_type , function_name)  VALUES ( 'kloak', 'Kloakledning')
INSERT INTO csr_pipe_function (function_type , function_name)  VALUES ( 'el', 'Elektricitetsledning')
end ;