patch_id bom_sagstype_to_xref_16112021


if not exists (select 1 from sysobjects
    where id = object_id('bom_sagstype_to_xref') and type = 'U')

CREATE TABLE dbo.bom_sagstype_to_xref(
	sagstype varchar(20) NOT NULL,
	xcode_seq_no numeric(9, 0) NOT NULL,
	init	varchar(6),	
	created datetime NULL  default current_timestamp,
	created_by varchar(6) NULL default current_user,
	changed datetime NULL,
	changed_by varchar(6) NULL,
PRIMARY KEY (sagstype)

);

grant update,insert,delete,select on dbo.bom_sagstype_to_xref to public;

drop_foreign_key on  bom_sagstype_to_xref bld_x_code_type;
alter table bom_sagstype_to_xref
add constraint FK_bom_xref_to_xref foreign key (xcode_seq_no)
 REFERENCES dbo.bld_x_code_type (xcode_seq_no)
ON DELETE CASCADE;

drop_foreign_key on  bom_sagstype_to_xref case_officeer
alter table bom_sagstype_to_xref
add constraint FK_bom_xref_to_init FOREIGN KEY(init)
 REFERENCES dbo.case_officer (code)
ON DELETE CASCADE;



