-- 04-01-2022 TRK 
--
patch_id bom_1310_220104

--******************************************************************************
-- Opdater Sagsbehandling web service fra V5 til V6                   04-01-2022
--******************************************************************************

update app_settings set
  app_value = replace(app_value, 'V5', 'V6')
where app_section = 'BOM' and app_key = 'serviceBMSagsbehandlingUrl';

--******************************************************************************
-- Opdatering af rkker i geo_ext_appl_version_expired                04-01-2022
--******************************************************************************

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.2.1737.149') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.2.1737.149', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.3.4537.564') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.3.4537.564', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.4.5248.783') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.4.5248.783', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.5.5662.921') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.5.5662.921', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.7.6487.1031') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.7.6487.1031', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.8.6860.1110') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.8.6860.1110', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '2.9.7173.1157') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '2.9.7173.1157', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.0.8771.1367') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.0.8771.1367', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.1.8852.1387') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.1.8852.1387', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.2.10166.1489') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.2.10166.1489', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.3.11193.1610') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.3.11193.1610', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.4.11519.1660') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.4.11519.1660', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.5.12410.1708') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.5.12410.1708', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.6.12993.1745') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.6.12993.1745', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.7.13005.1747') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.7.13005.1747', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.8.13408.1789') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.8.13408.1789', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '3.9.13844.1828') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '3.9.13844.1828', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '4.0.14460.1889') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '4.0.14460.1889', 'geokon');

if (select 'x' from geo_ext_appl_version_expired where appl_id = 'srv_BygogMiljoe' and version_number = '4.1.15141.1971') is null
    insert into geo_ext_appl_version_expired (appl_id, version_number, created_by)
    values ('srv_BygogMiljoe', '4.1.15141.1971', 'geokon');

--******************************************************************************