
drop table dbo.sc1008_parameter;

//**************************************************************************

if not exists (select 1 from sysobjects
  where id = object_id('sc1008_parameter') and type = 'U')
  create table dbo.sc1008_parameter (
    ScCode                       varchar(6)    not null,
    DescriptionText              varchar(100)  null,
    AdditionalDescriptionText    varchar(400)  null,
    StancodeKeyUniqueIdentifier  varchar(8)    null,
    StancodeGuidKey              varchar(40)   null,   
    CodeReference                varchar(6)    null,            
    StancodeKeyReference         varchar(8)    null,
    ReferenceTypeName            varchar(12)   null,
    LastUpdateDate               datetime      null,
    CreationDate                 datetime      null,
    ObsolescenceDate             datetime      null,
    ApplicantIdentificationText  varchar(80)   null,
    CASnr                        varchar(12)   null,
    ReferenceTo_STD00019         varchar(6)    null,
    CodeListIdentifier           varchar(4)    null,
    VersionIdentifier            integer       null,
    constraint pk_sc1008_parameter primary key (ScCode)
);
