patch_id new_table_ki_task_product_x_producttype_13204


if not exists (select 1 from sysobjects
    where id = object_id('ki_task_product_x_producttype') and type = 'U')

CREATE TABLE [dbo].[ki_task_product_x_producttype](
	[task_product_prod_seq_no] [numeric](9, 0) NOT NULL,
	[producttype_id] [varchar](6) NOT NULL,
	[created] [datetime] NULL default current_timestamp,
	[created_by] [varchar](6) NULL default current_user,
	[changed] [datetime] NULL ,
	[changed_by] [varchar](6) NULL,
	primary key (task_product_prod_seq_no,producttype_id)
);

grant select on ki_task_product_x_producttype to public;
grant update,insert,delete on ki_task_product_x_producttype to public;


drop_foreign_key on ki_task_product_x_producttype ki_producttype;
alter table ki_task_product_x_producttype
  add constraint fk_ki_task_product_x_producttype_producttype foreign key (producttype_id)
  references ki_producttype (typeid);

drop_foreign_key on ki_task_product_x_producttype ki_task_product;
alter table ki_task_product_x_producttype
  add constraint fk_ki_task_product_x_producttype_task_product foreign key (task_product_prod_seq_no)
  references ki_task_product (prod_seq_no);
  
-- insert the values 
if (select count(*) from ki_task_product_x_producttype ) = 0 
  insert into ki_task_product_x_producttype
  ( task_product_prod_seq_no, producttype_id)
  Select prod_seq_no, typeid from ki_task_product;
  
 -- make old column nullable
 ALTER TABLE ki_task_product ALTER COLUMN typeid varchar(6) NULL;