-- 08-03-2022 TRK/MR 
--
patch_id dpost_1320_220308

--******************************************************************************
-- dbox_inbox.contact_point_id                                        08-03-2022
--******************************************************************************

create table dbo.dbox_contact_point (
    contact_point_id              varchar(50)     not null,
    contact_point_name            varchar(500)    null,

    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    changed                       datetime        null,
    changed_by                    varchar(6)      null,
    Description	                  varchar(1000)   null,
    memoSizeThresholdMB           decimal(10,1)   null,
    allowedNumberOfAttachments    integer         null,
    active                        bit             default 1,
    visible                       bit             default 1,
    constraint pk_dbox_contact_point primary key (contact_point_id)
);
grant select, update, delete, insert on dbox_contact_point to public;

if (select col_length('dbox_inbox','contact_point_id')) is null
   alter table dbox_inbox add contact_point_id varchar(50) null;

drop_foreign_key on dbox_inbox dbox_contact_point;
alter table dbox_inbox
  add constraint fk_dbox_inbox_dbox_contact_point foreign key (contact_point_id)
  references dbox_contact_point (contact_point_id);

--******************************************************************************